services:

  pilot-server:
     image: registry.ascon.ru/project/pilotdev/pilot/pilot-server:latest
     container_name: pilot-server
     hostname: pilot-server
     restart: unless-stopped
     ports:
       - '5551:5545' #первый порт можно поменять
     volumes:
       - /usr/share/ascon/.aspnet/pilot-server:/root/.aspnet
       - /usr/share/ascon/logs/pilot-server:/App/logs
       - /usr/share/ascon/pilot-server/settings:/usr/share/ascon/pilot-server/settings
       - /usr/share/ascon/databases:/usr/share/ascon/databases
       - /usr/share/ASCON:/usr/share/ASCON
    entrypoint: ["/App/Ascon.Pilot.Daemon", "/usr/share/ascon/pilot-server/settings/settings.xml"]
	
  pilot-bim-server:
     image: registry.ascon.ru/project/pilotdev/pilot/pilot-bim-server:latest
     container_name: pilot-bim-server
     hostname: pilot-bim-server
     restart: unless-stopped
     volumes:
       - /usr/share/ascon/.aspnet/pilot-bim-server:/root/.aspnet
       - /usr/share/ascon/logs/pilot-bim-server:/App/logs
       - /usr/share/ascon/pilot-bim-server:/usr/share/ASCON/Pilot-BIM-Server
     depends_on:
       - pilot-server

  pilot-web-server:
     image: registry.ascon.ru/project/pilotdev/pilot/pilot-web-server:latest
     container_name: pilot-web-server
     hostname: pilot-web-server
     restart: unless-stopped
     environment:
       - PilotServer:Database=pilot-bim_ru #замените базу данных pilot-bim_ru на ту, которую будете подключать
       - PilotServer:Url=http://pilot-server:5545
     ports:
       - '5552:80' #первый порт можно поменять
     depends_on:
       - pilot-server

  pilot-web-myadmin:
     image: registry.ascon.ru/project/pilotdev/pilot/pilot-web-myadmin:latest
     container_name: pilot-web-myadmin
     hostname: pilot-web-myadmin
     restart: unless-stopped
     environment:
       - PilotServer:Url=http://pilot-server:5545
     ports:
       - '5553:5200' #первый порт можно поменять
     depends_on:
       - pilot-server
